Life-Line versions of Fiji on macOS Catalina

Dear all,

I updated my macOS to Catalina (10.15.2), and I can’t use any of the Life-Line versions of Fiji (application crashes seconds after being executed). Re-installing Java 6* did not help.
*using the official legacy version and this trick ).
Am I missing something?

Many thanks in advance for any help and happy 2020,
Eli

@Eli Sorry for the late reply. I am still running Mojave (10.14), but Apple Java 6 also does not work for me anymore. It is not the Apple philosophy to keep obsolete software packages working on new OS versions long into the future (note the official Apple Java for OS X 2017-001 lists only 10.7 through 10.13 as supported OS versions!). So we are out of luck with the Life-Line versions—you’ll need to use a different operating system. Fortunately, with VirtualBox, you can run e.g. Ubuntu on your Catalina system just fine, which is a hassle but at least gives you a way forward for running older Fijis.

3 Likes